package com.zm.order.tool.server.enums;

/**
 * es操作指令
 *
 * <p>
 *
 * </p>
 *
 * @author nianchang
 * @date 2023/08/15 3:31 下午
 */
public enum ElasticsearchOperateType {

    /**
     * 删除
     */
    DELETE("0"),

    /**
     * 全量写入
     */
    INDEX("1"),

    /**
     * 全量更新
     */
    UPDATE("2"),

    /**
     * 部分更新
     */
    PART_UPDATE("3"),
    ;

    private final String type;

    ElasticsearchOperateType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }
}
